Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

Update a price list

PUT/price_lists/{id}
Authorization
AuthorizationBearer token (JWT) · headerrequired
Path parameters
idintegerrequired
Request body
requiredapplication/json
namestring
prices_include_taxboolean
use_price_comparison_for_vol_discountsboolean
contact_group_idsinteger[]

Additive — existing group ids on the price list are not removed.

taxobject
Show properties
namestring
ratenumber
Responses
200

Price list updated

_linksHalLinks
idinteger
namestring
currency_codestring
prices_include_taxboolean
use_price_comparison_for_vol_discountsboolean
taxnumber
contact_groups_countinteger
created_onstring<date-time>
updated_onstring<date-time>
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PUT 'https://api.onbolder.com/v2/price_lists/0' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "Wholesale EUR - Revised"
}'
Response
{
  "id": 10,
  "name": "Wholesale EUR - Revised",
  "currency_code": "EUR",
  "_links": {
    "self": {
      "href": "https://api.onbolder.com/v2/price_lists/10"
    }
  }
}

Was this page helpful?